Subject: [Gen-art] RE: GenART review of draft-saintandre-xmpp-iri-03

From: [email-masked]
Date: Mon, 27 Mar 2006 18:19:50 -0500

Update for IESG consideration.  The draft has now reached the
following GenART review state:

This draft is basically ready for publication as a Proposed
Standard RFC, but has nits that should be fixed before publication.

The necessary query registry has been created.  The "Note:" quoted
below from Section 2.5 needs to be replaced with text encouraging
(SHOULD) or requiring (MUST) that query types and keys be registered
in that registry in accordance with the JSF document that governs
the registry.  I leave it to Peter and/or Ted to determine the
applicable requirements and write the appropriate text - an RFC
Editor's Note should suffice.

Thanks,
--David
----------------------------------------------------
David L. Black, Senior Technologist
EMC Corporation, 176 South St., Hopkinton, MA  01748
+1 (508) 293-7953             FAX: +1 (508) 293-7786
[email-masked]        Mobile: +1 (978) 394-7754
----------------------------------------------------

> -----Original Message-----
> From: Black, David 
> Sent: Thursday, March 09, 2006 9:55 PM
> To: [email-masked]; [email-masked]'
> Cc: 'Scott Hollenbeck'; Black, David
> Subject: GenART review of draft-saintandre-xmpp-iri-03
> 
> Background for those who may be unaware of GenART:
> 
> GenART is the Area Review Team for the General Area of the IETF.
> We advise the General Area Director (i.e. the IETF/IESG chair) by
> providing more in depth reviews than he could do himself of documents
> that come up for final decision in IESG telechat.  I was selected
> as the GenART member to review this document.  Below is my review,
> which was written specifically with an eye to the GenART process, but
> since I believe that it will be useful to have these comments more
> widely distributed, others outside the GenART group are included.
> 
> This review was done as part of IETF Last Call.
> 
> Review criteria: "Is this document a reasonable contribution to the
> area of Internet engineering which it covers?  If not, what changes
> would make it so?"
> 
> This draft is on the right track but has open issues, described
> in the review.
> 
> Section 2.5 contains the following note:
> 
>    (Note: In pursuit of interoperability, it may be helpful to maintain
>    a registry of query types and perhaps even of keys for use in XMPP
>    query components.  Given that such values will most likely be
>    specific to particular applications of XMPP rather than core to XMPP
>    itself, it seems reasonable that such a registry, if created, would
>    be maintained by the Jabber Registrar function of the Jabber Software
>    Foundation as described in [JEP-0053], rather than by the IANA.  A
>    proposal for creating such a registry can be found in [JEP-0147].)
> 
> Given the importance of interoperability to the IETF, IESG approval of
this
> draft should probably be delayed until that registry is functional so that
> the draft can document registration requirements for query components.
> This problem is ironically caused by XMPP's success in being used by
> multiple independent applications (e.g., list in Section 2.1), requiring
> a registry like this to prevent collisions among their use of 
> URIs/IRIs.
> 
> Nit - In Section 3.6 add "RFC " before "XXXX" and add an RFC Editor note
> to tell the RFC Editor to replace "XXXX" with the number of the published
> RFC and delete the note.
> 
> Thanks,
> --David
> ----------------------------------------------------
> David L. Black, Senior Technologist
> EMC Corporation, 176 South St., Hopkinton, MA  01748
> +1 (508) 293-7953             FAX: +1 (508) 293-7786
> [email-masked]        Mobile: +1 (978) 394-7754
> ----------------------------------------------------
> 

_______________________________________________
Gen-art mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/gen-art